package com.qqchen.deploy.backend.framework.exception;

import com.qqchen.deploy.backend.framework.enums.ResponseCode;
import lombok.Getter;

@Getter
public abstract class BaseException extends RuntimeException {

    private final ResponseCode errorCode;

    private final Object[] args;

    protected BaseException(ResponseCode errorCode) {
        this(errorCode, null, null);
    }

    protected BaseException(ResponseCode errorCode, Object[] args) {
        this(errorCode, args, null);
    }

    protected BaseException(ResponseCode errorCode, Object[] args, Throwable cause) {
        super(cause);
        this.errorCode = errorCode;
        this.args = args;
    }
} 